Bug 104710 - FILEOPEN: DOCX: Extra page added between portrait and landscape pages
Summary: FILEOPEN: DOCX: Extra page added between portrait and landscape pages
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.beta1
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2016-12-16 11:35 UTC by Xisco Faulí
Modified: 2017-05-18 18:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (10.19 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-12-16 11:35 UTC, Xisco Faulí
Details
sample2 (10.27 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-12-16 11:38 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-12-16 11:35:11 UTC
Created attachment 129686 [details]
sample

Steps:
1. Open attached document

Observed behaviour: There's an extra page between the portrait and the landscape page.

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 634589b340316ba64b731b4d923c1056be415494
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2016-12-16 11:36:43 UTC
Regression introduced by:

author	Justin Luth <justin_luth@sil.org>	2016-11-26 09:30:03 (GMT)
committer	Justin Luth <justin_luth@sil.org>	2016-11-29 19:09:50 (GMT)
commit	d1c06ed189e9af7871961f72acae2dfd938d71d5 (patch)
tree	5623ba4a56caacacee412dd3f4d7ce01a04fa40d
parent	d5364fe73702b1097e546ea35dd493723e7333ed (diff)

tdf#103975 docx import: don't remove sectPr with BreakItem
If an empty sectPr paragraph contains Page/Column break
information, do not discard it.

Adding Cc: to Justin Luth
Comment 2 Xisco Faulí 2016-12-16 11:38:06 UTC
Created attachment 129687 [details]
sample2
Comment 3 Justin L 2016-12-20 07:29:11 UTC
the fix for this interacts with the unittest from bug 97417 - which is currently missing the first empty page.
Comment 4 Justin L 2016-12-20 15:46:36 UTC
-gerrit.libreoffice.org/32234 related to tdf#97414: fix unit test page count
-gerrit.libreoffice.org/32235 related to tdf#97414: fix unit test's early para numbering
-gerrit.libreoffice.org/32236 tdf#104710 bRemove: only prevent w/BREAK_TYPE for defined Sections
Comment 5 Commit Notification 2016-12-22 05:09:38 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e37563c304e52f1d2385868c9b33e0145493d2bd

tdf#104710 bRemove: only prevent w/BREAK_TYPE for defined Sections

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-12-22 10:27:47 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a08419ef27afe756402eb18ffd2434a476c9bc5&h=libreoffice-5-3

tdf#104710 bRemove: only prevent w/BREAK_TYPE for defined Sections

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.